from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.util import XReplaceDescriptor

@runtime_checkable
class XPropertyReplace(XReplaceDescriptor, Protocol):
    def getValueSearch(self) -> bool: ...
    def setValueSearch(self, bValueSearch: bool) -> None: ...
    def getSearchAttributes(self) -> list[PropertyValue]: ...
    def getReplaceAttributes(self) -> list[PropertyValue]: ...
